SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces
TelnetTransport.h File Reference

Contains TelnetTransport , used to supports the telnet transport protocol. Insecure. More...

`#include "NativeFeatureIncludes.h"`
`#include "TransportInterface.h"`
`#include "DS_List.h"`
`#include "Export.h"`

Go to the source code of this file.

## Classes

class | SLNet::TelnetTransport
| Use TelnetTransport to easily allow windows telnet to connect to your ConsoleServer. More...
struct | SLNet::TelnetTransport::TelnetClient

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Detailed Description

Contains TelnetTransport , used to supports the telnet transport protocol. Insecure.

Definition in file TelnetTransport.h.

## Class Documentation

struct SLNet::TelnetTransport::TelnetClient

Definition at line 62 of file TelnetTransport.h.

Class Members
unsigned | cursorPosition |
char | lastSentTextInput |
SystemAddress | systemAddress |
char | textInput |